SDL_GetRenderDrawColor(3)

NAME
SDL_GetRenderDrawColor - Get the color used for drawing operations (Rect, Line and Clear).

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderDrawColor(SDL_Renderer *renderer, Uint8 *r, Uint8 *g, Uint8 *b, Uint8 *a);

FUNCTION PARAMETERS

renderer
    the rendering context.

r   a pointer filled in with the red value used to draw on the rendering target.

g   a pointer filled in with the green value used to draw on the rendering target.

b   a pointer filled in with the blue value used to draw on the rendering target.

a   a pointer filled in with the alpha value used to draw on the rendering target; usually SDL_ALPHA_OPAQUE (255).

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderDrawColorFloat(3), SDL_SetRenderDrawColor(3)